"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var visitor_1 = require("./visitor");
exports.plugin = function (schema, documents, config) {
    var allAst = graphql_1.concatAST(documents.reduce(function (prev, v) {
        return prev.concat([v.content]);
    }, []));
    var visitorResult = graphql_1.visit(allAst, {
        leave: new visitor_1.TypeScriptDocumentsVisitor(schema, config)
    });
    return visitorResult.definitions.join('\n');
};
//# sourceMappingURL=index.js.map